import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _INRentalCar extends _NSObject {
    static alloc(): _INRentalCar;
    static new(): _INRentalCar;
    init(): _INRentalCar;
    initWithRentalCompanyName$type$make$model$rentalCarDescription$(rentalCompanyName: _NSString, type: _NSString | null, make: _NSString | null, model: _NSString | null, rentalCarDescription: _NSString | null): _INRentalCar;
    rentalCompanyName(): _NSString;
    type(): _NSString | null;
    make(): _NSString | null;
    model(): _NSString | null;
    rentalCarDescription(): _NSString | null;
}
export interface _INRentalCar extends _NSCopying, _NSSecureCoding {
}
